org.apache.http.nio.util

## Interface BufferInfo

- All Known Implementing Classes:
    ExpandableBuffer, SessionInputBufferImpl, SessionOutputBufferImpl, SharedInputBuffer, SharedOutputBuffer, SimpleInputBuffer, SimpleOutputBuffer

  Deprecated.
  (4.1) Use `BufferInfo`

      @Deprecated
      public interface BufferInfo

  Basic buffer properties.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Deprecated.
    `int` | `capacity()` Deprecated.
    `int` | `length()` Deprecated.

- - ### Method Detail

    - #### length

          int length()

      Deprecated.

    - #### capacity

          int capacity()

      Deprecated.

    - #### available

          int available()

      Deprecated.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.